org.richfaces.renderkit

## Enum ExtendedDataTableRenderer.PartName

- java.lang.Object
- - java.lang.Enum<ExtendedDataTableRenderer.PartName>
  - - org.richfaces.renderkit.ExtendedDataTableRenderer.PartName

- All Implemented Interfaces:
    Serializable, Comparable<ExtendedDataTableRenderer.PartName>
  Enclosing class:
    ExtendedDataTableRenderer

      protected static enum ExtendedDataTableRenderer.PartName
      extends Enum<ExtendedDataTableRenderer.PartName>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `frozen`
    `normal`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `static ExtendedDataTableRenderer.PartName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExtendedDataTableRenderer.PartName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### frozen

          public static final ExtendedDataTableRenderer.PartName frozen

    - #### normal

          public static final ExtendedDataTableRenderer.PartName normal

  - ### Method Detail

    - #### values

          public static ExtendedDataTableRenderer.PartName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtendedDataTableRenderer.PartName c : ExtendedDataTableRenderer.PartName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtendedDataTableRenderer.PartName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public String getId()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.